Skip to content

Complete Portfolio Photo Upload

Required scope: portfolio_file:create

This is step 2 of the public photo upload flow. After the client uploads the photo to the signed URL, call this endpoint to create the portfolio photo record.

The upload must be completed by the same API key that created it. Completion verifies the image bytes and moves them to a server-owned object key before creating the portfolio record.

Generated Reference
POST /public-api/publicapi.v1.Portfolio/CompletePortfolioPhotoUpload

Finalizes a previously-created portfolio photo upload.

Request CompletePortfolioPhotoUploadRequest
Response CompletePortfolioPhotoUploadResponse

CompletePortfolioPhotoUploadRequest

Field Type
upload_id string

CompletePortfolioPhotoUploadResponse

Field Type
photo PortfolioPhoto
{
"uploadId": "9a970b0c-1a2f-49db-b67b-43fa4fc32bbf"
}
{
"photo": {
"id": "cba8fef4-4fd2-4be6-af77-326e716ef130",
"portfolioId": "be85f4d1-b680-4964-bf62-9828fdf4ce04",
"visibility": "PUBLIC_PORTFOLIO_FILE_VISIBILITY_INTERNAL",
"originalFilename": "inspection-photo.jpg",
"contentType": "image/jpeg",
"sizeBytes": 5242880
}
}